package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)枚举类
*
* @author zxfei
*/
public enum ProcessStatusEnum {
    排队中("排队中", "排队中"),
    办理中("办理中", "办理中"),
    接件结束("接件结束", "接件结束");
    private String value;
    private String desc;

    ProcessStatusEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ProcessStatusEnum getByValue(String value) {
        for (ProcessStatusEnum processStatusEnum : ProcessStatusEnum.values()) {
            if (processStatusEnum.getValue() == value) {
                return processStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ProcessStatusEnum item : ProcessStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}